using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 安全检查文件
    /// </summary>
    [Description("安全检查文件")]
    public class T_BS_SAFE_CHECK_PROJECT_CATEGORY : MesEntityBase
    {
        /// <summary>
        /// 消息发布ID
        /// </summary>
        [Description("消息发布ID")]
        [DataFieldForeignKey("Nav_SafeCheck", "Nav_ListCheckProjectCategory")]
        public Guid SAFE_CHECK_ID { get; set; }

        /// <summary>
        /// 导航属性：消息发布
        /// </summary>
        [Description("导航属性：消息发布")]
        public T_BS_SAFE_CHECK Nav_SafeCheck { get; set; }

        /// <summary>
        /// 检查项目分类
        /// </summary>
        [Description("检查项目分类")]
        [DataFieldForeignKey("Nav_CheckProjectCategory")]
        public Guid CHECK_PROJECT_CATEGORY_ID { get; set; }

        /// <summary>
        /// 导航属性：检查项目分类
        /// </summary>
        [Description("导航属性：检查项目分类")]
        public virtual T_BS_CHECK_PROJECT_CATEGORY Nav_CheckProjectCategory { get; set; }
    }
}
